import * as $dara from '@darabonba/typescript';
import { DescribeWhiteListAuthorizeResponseBody } from "./DescribeWhiteListAuthorizeResponseBody";
export declare class DescribeWhiteListAuthorizeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeWhiteListAuthorizeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
